Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "b8216a88-0c58-41c6-aca0-cbfa3afa7a92",
"jobs_id": "a504b6ed-d52d-47b0-ba1d-376a798cf71d",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "642926f1-35ea-4700-a91b-74e1515a9d76",
"_parent_id": "aef75981-1d80-42ee-8d5d-4cda86ee5f3f",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "b963dceb-a7d4-490c-b112-8438bed1fc93",
"project_reference_back_office": "sample string 5",
"project": {
"id": "7e1d9686-38e3-4e6c-95cd-a864ba8c4a35",
"_parent_id": "4f0a1b43-06ad-41d8-b893-bdde0c6148f5",
"root_parent_id": "92c1a3ff-5b02-4aac-9c34-e759b5ea0733",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "09a5c02d-0d79-4697-9375-7e79cc0d1fb6",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "9f3cf127-5b42-45be-914f-89dd74438e47",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "79b81b2e-b266-434f-8884-4be360dbc7fd",
"_parent_code": "sample string 6",
"sales_organization_id": "99f128d1-4f88-4388-bf16-0fac6af13865",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"equipment_model_id": "166aa63e-c8ab-4b2c-8f1b-2403c8fb1837",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "797bd611-0677-4e2a-b5b1-a53757dbb149",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "fc59d024-9302-4544-8800-95bc3e0ee619",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "1590f0b8-4da7-4040-a313-8e9dbe44ee6c",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "6a2397cc-936f-47ef-b901-6c584c380dd7",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"equipment_family_id": "489ec856-41e3-42d9-a1fd-c316e0138b3e",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "9f3cf127-5b42-45be-914f-89dd74438e47",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "79b81b2e-b266-434f-8884-4be360dbc7fd",
"_parent_code": "sample string 6",
"sales_organization_id": "99f128d1-4f88-4388-bf16-0fac6af13865",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"date_in_production_since": "2026-10-19T04:56:17.4722085+00:00",
"date_out_of_production_since": "2026-10-19T04:56:17.4722085+00:00",
"date_end_support": "2026-10-19T04:56:17.4722085+00:00",
"sales_organization_id": "c1234b72-5867-4750-92ad-fb5812ca4037",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-19T04:56:17.4846302+00:00"
},
"project_status_id": "b34ca5a5-6441-4bf7-83c1-abcc6cbbb7c5",
"project_status_code": "sample string 10",
"project_status": {
"id": "b1837755-5603-43bc-8ab8-daa1b965a916",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "d663dbff-94d6-4c7e-b9b5-e37f5128718c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-19T04:56:17.4846302+00:00"
},
"company_id": "ba99af32-2d38-402a-b763-a0387df15067",
"company_code": "sample string 12",
"db_address_id": "932cb218-f345-4bf1-8c31-d6814fd80ed3",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "ed62bb66-0e81-448b-88fc-2dd3e1da0b81",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "7286cf14-6214-453b-b1d2-be0c1da350fe",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-19T04:56:17.4846302+00:00",
"date_create": "2026-10-19T04:56:17.4846302+00:00",
"date_update": "2026-10-19T04:56:17.502298+00:00",
"updated_by_user_id": "e2ff9966-b2e9-4837-95a5-e5509363cd54",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-19T04:56:17.502298+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-19T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-19T04:56:17.502298+00:00",
"date_last_job": "2026-10-19T04:56:17.502298+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-19T04:56:17.502298+00:00",
"modified_dateutc": "2026-10-19T04:56:17.502298+00:00",
"is_mobile_installation": true
},
"job_type_id": "4c1a09b9-b585-456e-910f-a91ce341be5a",
"job_type_code": "sample string 7",
"job_type": {
"id": "ef2f0465-2c42-4c53-8b3f-329f2d8bbd38",
"name": "sample string 2",
"sales_organization_id": "828b068e-d250-485d-a68a-47fecda1a4dd",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-19T04:56:17.502298+00:00",
"code": "sample string 7"
},
"job_priority_id": "e3c287da-9eb4-4f71-a624-31846579eba5",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "77cbfc1f-448d-4584-a61b-4b855a964da8",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "c0dcc5c9-f2d7-40cd-a52d-321fc5fe1fb0",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-19T04:56:17.502298+00:00"
},
"job_status_id": "20a77ea6-fb81-4865-8c7f-859e062bc270",
"job_status_code": "sample string 11",
"db_address_id": "c902e503-c078-4f0f-a307-8734e09ee88b",
"contact_id": "7f05dbc0-7494-41f4-805f-40e69974bc28",
"requested_by_company_id": "31a22a08-7713-4895-be73-563797d510c6",
"requested_by_contact_id": "724c3e84-c9a9-40fa-b378-3f292715a890",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-19T04:56:17.502298+00:00",
"due_date": "2026-10-19T04:56:17.502298+00:00",
"date_create": "2026-10-19T04:56:17.502298+00:00",
"date_update": "2026-10-19T04:56:17.502298+00:00",
"date_closed": "2026-10-19T04:56:17.502298+00:00",
"suggested_user_id": "b3af9aa9-58cc-4493-bbfc-0218999b646e",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "6cd4c5d0-7960-46e3-885e-f3744a62d016",
"db_language_id": "d3b18458-a644-4777-9a7f-c173b9f8dd8d",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-19T04:56:17.502298+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "17890fa1-45d9-40f7-9ea1-292a83ab558c",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "043e7dcb-6362-41ff-b887-dc22d0b4fcc5",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "eb533286-c1b1-42c9-ac4b-c2c96b632458",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-19T04:56:17.502298+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "43c0355f-9b77-493c-90d0-78423f789ed1"
},
"suggested_date_start": "2026-10-19T04:56:17.5158769+00:00",
"skill_id": "6e582e77-b225-443a-9050-b81eb0494db8",
"skill_code": "sample string 32",
"skill": {
"id": "9ed32ae0-b544-4a75-a1f7-c1ad1e650717",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "2147148e-df48-44cb-bb2b-3630c4eec534",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "2268e1ce-a471-43fc-ba00-c2c877ad8b6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "40a7a5c6-67df-4f62-bfb2-d13d3b6c11ce",
"db_currency_id": "25e884a1-d6c9-4d3b-b3e7-0eac850e09fe",
"db_language_id": "6eacd82c-2e08-40f3-a96c-bacf88715276",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T04:56:17.4722085+00:00"
},
"modified_dateutc": "2026-10-19T04:56:17.5158769+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "3b894d50-e618-4194-843e-5217a3f4d803",
"date_reported_by_company": "2026-10-19T04:56:17.5158769+00:00",
"id2": 36,
"company_id": "fbe89e81-dc14-47c0-b66d-740de61b1a18",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "a7c7d14b-2225-4c15-a1d7-c67edd7692ec",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-19T04:56:17.5158769+00:00"
},
"work_instruction_details_id": "d112a010-efc5-4972-99bc-531a846c2738",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "2afb2469-d426-413b-816d-18db7bf86ef6",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "fa1e95d3-6012-4584-9b14-ed5f0a78f775",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-19T04:56:17.5158769+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "535ad3da-52ec-4970-8e6d-bb288373f036",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-19T04:56:17.5158769+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.